apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: blog-argo
  namespace: argocd
spec:
  project: default
  source:
    repoURL: "https://git.vanespen.dev/evanespen/blog"
    path: "k8s"
    targetRevision: developer
  destination:
    server: "https://kubernetes.default.svc"
    namespace: argocd
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
